using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.HM;
using APT.MS.Domain.Enums;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.HM
{
    [Description("风险")]
    public class T_HM_OPERATION_TASK_DISTINGUISH_ANALYZE_RISK : MesEntityBase
    {
        /// <summary>
        /// 作业任务识别分析表
        /// </summary>
        [Description("作业任务识别分析明细表")]
        [DataFieldForeignKey("Nav_AnalyzeDetails", "Nav_DetailRisk")]
        public Guid OPERATION_TASK_DISTINGUISH_ANALYZE_DETAIL_ID { get; set; }

        /// <summary>
        /// 导航：作业任务识别表
        /// </summary>
        [Description("导航：作业任务分析表")]
        public virtual T_HM_OPERATION_TASK_DISTINGUISH_ANALYZE_DETAIL Nav_AnalyzeDetails { get; set; }
        /// <summary>
        /// 风险库ID
        /// </summary>
        [Description("风险库")]
        [DataFieldForeignKey("Nav_EvaluateRisk")]
        public Guid EVALUATE_RISK_ID { get; set; }

        /// <summary>
        /// 导航属性：风险库
        /// </summary>
        [Description("导航属性：风险库")]
        public virtual T_HM_EVALUATE_RISK Nav_EvaluateRisk { get; set; }
    }
}
